
.mv2ImageText {
	--cols: [image-start] 1fr [image-end content-start] 1fr [content-end];
	--rows: [image-start content-start] auto [image-end content-end];
	/*
	 
	--pre-title-color: var(--);
	--title-color: var(--);
	--sub-title-color: var(--);
	--richtext-color: var(--);
	
	*/
	
	display: grid;
	grid-template-columns: var(--cols);
	grid-template-rows: var(--rows);
	gap: var(--organism-standard-gap);
	align-items: center;
}

.mv2ImageText.image_right {
	--cols: [content-start] 1fr [content-end image-start] 1fr [image-end];
	--rows: [image-start content-start] auto [image-end content-end];
}

@container mv2Module (width < 960px) {
	.mv2ImageText,
	.mv2ImageText.image_right {
		--cols: [image-start content-start] 1fr [image-end content-end];
		--rows: [image-start] auto [image-end content-start] auto [content-end];
	}
	 
	.mv2ImageText.image_below,
	.mv2ImageText.image_below.image_right { 
		--cols: [image-start content-start] 1fr [image-end content-end];
		--rows: [content-start] auto [content-end image-start] auto [image-end];
	}
}

.mv2ImageText.enclosed {
	background: var(--enclosed-color-o) !important;
	gap: 0 !important;
	border-radius: var(--global-image-radius) 0 var(--global-image-radius) var(--global-image-radius) !important;
	overflow: clip !important;
	
}

.mv2ImageText__section {
	display: grid;
	gap: var(--molecule-small-gap);
	position: relative;
}

.mv2ImageText__image {
	grid-area: image;
	align-self: flex-start;
	position: relative;
}

.mv2ImageText__image .mv2PlayButton{
	position: absolute;
    right: var(--atom-large-gap);
    bottom: var(--atom-large-gap);
}

.enclosed .mv2ImageText__image .mv2PlayButton{
	background-color: var(--enclosed-color-o);
	color: var(--title-color-o);
	opacity: 0.8;
}

.enclosed .mv2ImageText__image .mv2PlayButton:hover{
	background-color: var(--enclosed-color-o);
	color: var(--title-color-o);
	opacity: 1;
}

.enclosed .mv2ImageText__image {
	height: 100% !important;
}

.enclosed .mv2Image {
	aspect-ratio: 16 / 9 !important;
	width: 100% !important;
	width: auto !important;
	min-width: 100% !important;
}

.enclosed .mv2ImageSlider {
	grid-template-rows: [slider-stage-start] 1fr [controls-start] auto [controls-end slider-stage-end] !important;
	gap: 0 !important;
}

.enclosed .flickity-page-dots {
	padding-bottom: var(--molecule-small-gap) !important;
}

.enclosed .mv2ImageSlider .flickity-viewport {
	border-radius: 0 !important;
	grid-area: slider-stage !important;
}

.mv2ImageText__image.mv2PlayButton {
	position: absolute;
	bottom: 2em;
	right: 2em;
	z-index: 100;
}


.mv2ImageText__content {
	grid-area: content;	
}

.enclosed .mv2ImageText__content {
	padding: var(--molecule-standard-gap) !important;
}


.enclosed .mv2ImageText__content .mv2Button{
    width: 100% !important;
    font-size: 1.125em !important;
	  padding-block: 1em !important;
}

@container mv2Module (width < 960px) {
	.enclosed .mv2Image {
		height: auto !important;
		width: 100% !important;
		object-fit: cover;
	}
}

@container mv2Module (width >= 960px) {
	.enclosed .mv2Image {
		border-radius: 0 !important;
/* 		aspect-ratio: auto !important; */
		height: 100% !important;
	}
}
@container mv2Module (width > 1024px) {
	.mv2ImageText__image {
		position: sticky;
		top: calc(var(--dynamic-header-height) + var(--molecule-standard-gap) );
	}
}



.mv2ImageTextModal .mv-modal-body{
	padding: 0;
	background-color: transparent;
}

.mv2ImageTextModal .mv-modal-close{
	z-index: 99;
	top: 0;
	right: 0;
}


.mv2ImageTextModal .hs-video-widget,
.mv2ImageTextModal .hs-video-widget .hs-video-container,
.mv2ImageTextModal .hs-video-widget .hs-video-wrapper,
.mv2ImageTextModal .hs-video-widget .hs-video-wrapper iframe{
	height: calc(100vh - (var(--molecule-standard-gap)) * 4) !important;
	max-height: calc(100vh - (var(--molecule-standard-gap)) * 4) !important;
	padding: 0 !important;
}




.flickity-enabled.is-draggable .flickity-viewport {
	min-height: 100% !important;
}